## kemoticons 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(KEmoticons)

include(FeatureSummary)
find_package(ECM 5.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KEMOTICONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


# the strings throughout this library are used to search ressources
# so they don't need translations
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_subdirectory(src)
add_subdirectory(themes)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Emoticons")

install(EXPORT KF5EmoticonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EmoticonsTargets.cmake NAMESPACE KF5:: )

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5EmoticonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
  feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()

=== themes/CMakeLists.txt ===
install(
    DIRECTORY
        Glass Breeze
    DESTINATION
        ${KDE_INSTALL_DATAROOTDIR}/emoticons/
    FILES_MATCHING
        PATTERN "*.png"
        PATTERN "emoticons.xml"
)

=== src/providers/xmpp/CMakeLists.txt ===

########### next target ###############
set(xmppemoticons_SRCS xmpp_emoticons.cpp)

add_library(emoticonstheme_xmpp MODULE ${xmppemoticons_SRCS})

find_package(Qt5Xml REQUIRED)
target_link_libraries(emoticonstheme_xmpp
PRIVATE
    KF5::Emoticons
    Qt5::Xml # for QDomDocument
)

########### install files ###############

set_target_properties(emoticonstheme_xmpp PROPERTIES
    OUTPUT_NAME "xmpp"
)
install(
    TARGETS emoticonstheme_xmpp
    DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/emoticonsthemes
)
install(
    FILES emoticonstheme_xmpp.desktop
    DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

## kemoticons 5.3.0

=== debian/changelog ===
kemoticons (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:32:24 +0100

kemoticons (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:54:09 +0200

kemoticons (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Remove spurious symbols from symbols file.

  [ Scarlett Clark ]
  * Cleanup copyright-helper cruft from copyright file. 

  [ Rohan Garg ]
  * Make sure we add the XS-Testsuite field to debian/control

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:28:34 +0200

kemoticons (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

  [ José Manuel Santamaría Lema ]
  * Remove spurious symbols from symbols file.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 13:38:45 +0200

=== debian/control ===
Source: kemoticons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libkf5archive-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kemoticons
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kemoticons.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kemoticons.git

Package: libkf5emoticons-dev
Section: libdevel
Architecture: any
Depends: libkf5archive-dev,
         libkf5emoticons5 (= ${binary:Version}),
         libkf5service-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains development files for kemoticons.

Package: libkf5emoticons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the runtime files.

Package: libkf5emoticons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5emoticons5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 This package contains the data files.

Package: libkf5emoticons5
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes.
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.

Package: libkf5emoticons5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5emoticons5 (= ${binary:Version}), ${misc:Depends}
Recommends: libkf5emoticons-bin (= ${binary:Version})
Description: Support for emoticons and emoticons themes
 This class can be used to retrieve, install,
 create emoticons theme. It can also be used to
 set the emoticon theme and the parse mode in the
 config file.
 .
 Contains debug symbols for kemoticons.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5emoticons5-dbg

.PHONY: override_dh_auto_test

## kemoticons 5.9.0

=== debian/changelog ===
kemoticons (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:29:24 +0200

kemoticons (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:39:22 +0100

kemoticons (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:34:49 +0100

kemoticons (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:55:47 +0100

kemoticons (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:22:48 +0100

kemoticons (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:35:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               libkf5archive-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5archive-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
 XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kemoticons.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kemoticons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kemoticons.git
 
 Package: libkf5emoticons-dev

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         kded5
Restrictions: rw-build-tree

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kemoticons-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kemoticons-(.*)\.tar\.xz

## kemoticons 5.15.0

=== debian/changelog ===
kemoticons (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:48:07 +0100

kemoticons (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:16:00 +0100

kemoticons (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 13:05:29 +0200

kemoticons (5.12.0-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Fix merge. Remove unused broken backport.
  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:29:40 +0200

kemoticons (5.11.0-1) unstable; urgency=medium

  * New upstream release (5.10.0).
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 16:03:48 +0200

kemoticons (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Jun 2015 20:50:37 +0200

kemoticons (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:26:00 +0200

kemoticons (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:38:45 +0100

kemoticons (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:44 +0100

kemoticons (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Add acc autopkgtests.
  * Update watch file.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Jan 2015 14:51:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
-               libkf5archive-dev (>= 5.9.0),
-               libkf5config-dev (>= 5.9.0),
-               libkf5coreaddons-dev (>= 5.9.0),
-               libkf5dbusaddons-dev (>= 5.9.0),
-               libkf5i18n-dev (>= 5.9.0),
-               libkf5kjs-dev (>= 5.9.0),
-               libkf5service-dev (>= 5.9.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
+               libkf5archive-dev (>= 5.15.0~),
+               libkf5config-dev (>= 5.15.0~),
+               libkf5coreaddons-dev (>= 5.15.0~),
+               libkf5service-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev
+               qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
 XS-Testsuite: autopkgtest
@@ -24,11 +21,13 @@
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev,
+Depends: libkf5archive-dev (>= 5.15.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev,
-         qtbase5-dev,
+         libkf5service-dev (>= 5.15.0~),
+         qtbase5-dev (>= 5.4),
          ${misc:Depends}
+Breaks: libkf5emoticons-bin (<< 5.12.0~)
+Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox,
         kded5, kinit, libkf5service-bin
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kemoticons 5.18.0

=== debian/changelog ===
kemoticons (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:20:49 +0100

kemoticons (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:23 +0100

kemoticons (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:30 +0200

kemoticons (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:37 +0100

kemoticons (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:49:17 +0200

kemoticons (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 30 Aug 2015 23:38:32 +0200

kemoticons (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,24 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5archive-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5service-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5archive-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-XS-Testsuite: autopkgtest
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kemoticons.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kemoticons.git
 
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.15.0~),
+Depends: libkf5archive-dev (>= 5.16.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.15.0~),
+         libkf5service-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Breaks: libkf5emoticons-bin (<< 5.12.0~)

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkf5emoticons5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
 
 Tests: acc
 Depends: @, dh-acc, exuberant-ctags
+Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kemoticons-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kemoticons-([\d.]+)\.tar\.xz

## kemoticons 5.26.0

=== debian/changelog ===
kemoticons (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:44:22 +0100

kemoticons (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:40:30 +0000

kemoticons (5.23.0-0ubuntu1) yakkety; urgency=medium

  * Refreshing symbols
  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:11:43 +0200

kemoticons (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Don't complain about the symbol dependency

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:20:28 -0700

kemoticons (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:19 +0100

kemoticons (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:05 +0100

kemoticons (5.16.0-2) unstable; urgency=medium

  * Add libkf5emoticons-bin to libkf5emoticons5.symbols dependency list
  * Add myself to uploaders

 -- Diane Trout <diane@ghic.org>  Sat, 05 Dec 2015 11:28:07 -0800

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,27 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               libkf5archive-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5service-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               libkf5archive-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5service-dev (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kemoticons.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kemoticons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.16.0~),
+Depends: libkf5archive-dev (>= 5.26.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.16.0~),
+         libkf5service-dev (>= 5.26.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Breaks: libkf5emoticons-bin (<< 5.12.0~)
@@ -74,18 +74,3 @@
  create emoticons theme. It can also be used to
  set the emoticon theme and the parse mode in the
  config file.
-
-Package: libkf5emoticons5-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libkf5emoticons5 (= ${binary:Version}), ${misc:Depends}
-Recommends: libkf5emoticons-bin (= ${binary:Version})
-Description: Support for emoticons and emoticons themes
- This class can be used to retrieve, install,
- create emoticons theme. It can also be used to
- set the emoticon theme and the parse mode in the
- config file.
- .
- Contains debug symbols for kemoticons.

## kemoticons 5.28.0

=== debian/changelog ===
kemoticons (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:08 +0100

kemoticons (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:02:50 +0200

kemoticons (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)
  * Replace dbus-launch with dbus-run-session in tests

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:00:55 +0200

kemoticons (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 09:58:23 +0200

kemoticons (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Jun 2016 18:43:48 +0200

kemoticons (5.22.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 May 2016 17:22:27 +0200

kemoticons (5.21.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 May 2016 14:38:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
-               libkf5archive-dev (>= 5.26.0~),
-               libkf5config-dev (>= 5.26.0~),
-               libkf5coreaddons-dev (>= 5.26.0~),
-               libkf5service-dev (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
+               libkf5archive-dev (>= 5.28.0~),
+               libkf5config-dev (>= 5.28.0~),
+               libkf5coreaddons-dev (>= 5.28.0~),
+               libkf5service-dev (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.5.0~)
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kemoticons.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kemoticons.git
 
 Package: libkf5emoticons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.26.0~),
+Depends: libkf5archive-dev (>= 5.28.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.26.0~),
-         qtbase5-dev (>= 5.4),
+         libkf5service-dev (>= 5.28.0~),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends}
-Breaks: libkf5emoticons-bin (<< 5.12.0~)
-Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to
@@ -34,6 +32,7 @@
  config file.
  .
  Contains development files for kemoticons.
+Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5emoticons-bin
 Architecture: any

## kemoticons 5.31.0

=== debian/changelog ===
kemoticons (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:53:55 +0000

kemoticons (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:37:52 +0000

kemoticons (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:20:40 +0000

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,28 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.28.0~),
-               libkf5archive-dev (>= 5.28.0~),
-               libkf5config-dev (>= 5.28.0~),
-               libkf5coreaddons-dev (>= 5.28.0~),
-               libkf5service-dev (>= 5.28.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5archive-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.5.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kemoticons.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kemoticons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 
 Package: libkf5emoticons-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5archive-dev (>= 5.28.0~),
+Depends: libkf5archive-dev (>= 5.31.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.28.0~),
-         qtbase5-dev (>= 5.5.0~),
+         libkf5service-dev (>= 5.31.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
+Breaks: libkf5emoticons-bin (<< 5.12.0~)
+Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,
  create emoticons theme. It can also be used to
@@ -32,7 +34,6 @@
  config file.
  .
  Contains development files for kemoticons.
-Breaks: libkf5kdelibs4support-dev (<< 5.28)
 
 Package: libkf5emoticons-bin
 Architecture: any

## kemoticons 5.38.0

=== debian/changelog ===
kemoticons (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:14 +0100

kemoticons (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:51:16 +0100

kemoticons (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:55:44 +0100

kemoticons (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 23:01:27 +0100

kemoticons (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:29:16 +0100

kemoticons (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:11:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5archive-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5service-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5archive-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5service-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
@@ -20,9 +20,9 @@
 Package: libkf5emoticons-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5archive-dev (>= 5.31.0~),
+Depends: libkf5archive-dev (>= 5.38.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.31.0~),
+         libkf5service-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Breaks: libkf5emoticons-bin (<< 5.12.0~)

## kemoticons 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KEmoticons VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui DBus)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(CMakePackageConfigHelpers)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KEMOTICONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5Archive ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kemoticons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


# the strings throughout this library are used to search ressources
# so they don't need translations

add_subdirectory(src)
add_subdirectory(themes)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Emoticons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Emoticons_QCH
        FILE KF5EmoticonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5EmoticonsQchTargets.cmake\")")
endif()

install(EXPORT KF5EmoticonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EmoticonsTargets.cmake NAMESPACE KF5:: )

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5EmoticonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                             )

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/KF5EmoticonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
       )

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kemoticons (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:18 +0000

kemoticons (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:57 +0000

kemoticons (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:05 +0000

kemoticons (5.41.0-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Update symbols after fix of incorrectly leaked private symbols

  [ Walter Lapchynski ]
  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:53 -0600

kemoticons (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,35 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.38.0~),
-               libkf5archive-dev (>= 5.38.0~),
-               libkf5config-dev (>= 5.38.0~),
-               libkf5coreaddons-dev (>= 5.38.0~),
-               libkf5service-dev (>= 5.38.0~),
+               extra-cmake-modules (>= 5.44.0~),
+               libkf5archive-dev (>= 5.44.0~),
+               libkf5config-dev (>= 5.44.0~),
+               libkf5coreaddons-dev (>= 5.44.0~),
+               libkf5service-dev (>= 5.44.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
-
-Package: libkf5emoticons-dev
-Architecture: any
-Section: libdevel
-Depends: libkf5archive-dev (>= 5.38.0~),
-         libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.38.0~),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
-Breaks: libkf5emoticons-bin (<< 5.12.0~)
-Replaces: libkf5emoticons-bin (<< 5.12.0~)
-Description: Support for emoticons and emoticons themes.
- This class can be used to retrieve, install,
- create emoticons theme. It can also be used to
- set the emoticon theme and the parse mode in the
- config file.
- .
- Contains development files for kemoticons.
 
 Package: libkf5emoticons-bin
 Architecture: any
@@ -62,12 +44,30 @@
  .
  This package contains the data files.
 
+Package: libkf5emoticons-dev
+Architecture: any
+Section: libdevel
+Depends: libkf5archive-dev (>= 5.44.0~),
+         libkf5emoticons5 (= ${binary:Version}),
+         libkf5service-dev (>= 5.44.0~),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends}
+Breaks: libkf5emoticons-bin (<< 5.12.0~)
+Replaces: libkf5emoticons-bin (<< 5.12.0~)
+Description: Support for emoticons and emoticons themes.
+ This class can be used to retrieve, install,
+ create emoticons theme. It can also be used to
+ set the emoticon theme and the parse mode in the
+ config file.
+ .
+ Contains development files for kemoticons.
+
 Package: libkf5emoticons5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5emoticons-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5emoticons-bin (= ${binary:Version})
 Description: Support for emoticons and emoticons themes.
  This class can be used to retrieve, install,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5emoticons5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: testsuite
 Depends: @, @builddeps@, build-essential,
-         xvfb, xauth, dbus-x11, openbox,
+         xvfb, xauth, dbus (>= 1.8), openbox,
          kded5, kinit, libkf5service-bin
 Restrictions: build-needed

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kemoticons-([\d.]+)\.tar\.xz

## kemoticons 5.50.0

=== debian/changelog ===
kemoticons (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:56 +0100

kemoticons (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:53 +0100

kemoticons (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:47 +0100

kemoticons (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:53 +0200

kemoticons (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:59 +0100

kemoticons (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:24 +0200

kemoticons (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:45 +0100

kemoticons (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:28 +0100

kemoticons (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:48 +0100

kemoticons (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:08 +0100

kemoticons (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:33 -0300

kemoticons (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:54 +0000

kemoticons (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:57:31 +0000

kemoticons (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:41:26 +0000

kemoticons (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:36 +0000

kemoticons (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:04 +0200

kemoticons (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5emoticons-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:11 +0200

kemoticons (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:59 +0000

kemoticons (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Jonathan Riddell ]
  * try tests without kded and kinit

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:06 +0200

kemoticons (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:11:28 +0000

kemoticons (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:35 +0000

kemoticons (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:35:39 +0000

kemoticons (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:22:26 +0000

kemoticons (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:21:33 +0000

kemoticons (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:35:35 +0000

kemoticons (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:40:09 +0000

kemoticons (5.29.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>, Diane Trout <diane@ghic.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5archive-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5service-dev (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               libkf5archive-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5service-dev (>= 5.50.0~),
+               libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kemoticons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kemoticons
@@ -47,11 +51,12 @@
 Package: libkf5emoticons-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5archive-dev (>= 5.44.0~),
+Depends: libkf5archive-dev (>= 5.50.0~),
          libkf5emoticons5 (= ${binary:Version}),
-         libkf5service-dev (>= 5.44.0~),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         libkf5service-dev (>= 5.50.0~),
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
+Recommends: libkf5emoticons-doc (= ${source:Version})
 Breaks: libkf5emoticons-bin (<< 5.12.0~)
 Replaces: libkf5emoticons-bin (<< 5.12.0~)
 Description: Support for emoticons and emoticons themes.
@@ -61,6 +66,19 @@
  config file.
  .
  Contains development files for kemoticons.
+
+Package: libkf5emoticons-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: Support for emoticons and emoticons themes (documentation)
+ This class can be used to retrieve, install,
+ create emoticons theme. It can also be used to
+ set the emoticon theme and the parse mode in the
+ config file.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5emoticons5
 Architecture: any
